Subject: Re: [PATCH net-next 09/11] eth: bnxt: bump the entry size in indir tables to u32

From: Jakub Kicinski <[email-masked]>
Date: Wed, 3 Jul 2024 09:02:37 -0700

On Wed, 3 Jul 2024 16:02:38 +0200 Przemek Kitszel wrote:
> On 7/3/24 15:49, Jakub Kicinski wrote:
> > On Wed, 3 Jul 2024 12:51:58 +0200 Przemek Kitszel wrote:  
> >> OTOH, I assume we need this in-driver table only to keep it over the
> >> up→down→up cycle. Could we just keep it as inactive in the core?
> >> (And xa_mark() it as inactive to avoid reporting to the user or any
> >> other actions that we want to avoid)  
> > 
> > Do you mean keep the table for the default context / context 0
> > in the core as well?
> 
> it was not obvious for me that this is only about the default one,
> but that would yield more uniformity and cleanups I guess

I'll add a note to the commit message. Initially I was hoping to add
context 0, too, but there's a number of gaps. We will hopefully
converge to that over time.